Closed Bug 1445723 Opened 3 years ago Closed 3 years ago

Image with filter style is not shown

Categories

(Core :: Graphics: WebRender, defect, P1)

defect

Tracking

()

RESOLVED FIXED
mozilla61
Tracking Status
firefox-esr52 --- unaffected
firefox59 --- unaffected
firefox60 --- unaffected
firefox61 --- unaffected

People

(Reporter: eeejay, Assigned: gw)

References

(Blocks 1 open bug)

Details

(Keywords: correctness, regression)

Attachments

(2 files)

Attached file test case
I bet this can be reproduced with the right reftest in webrender. But here is an HTML example of an image taking a filter style and somehow getting misrendered (erased).
Attachment #8958919 - Attachment mime type: text/plain → text/html
Attached video 2018-03-14_19-46-20.mp4
Nightly 61 x64 20180314102135 de_DE @ Debian Testing (KDE, Radeon RX480)
I can reproduce starting from 110% zoom.
Do you have seen this problem on a real website?
Keywords: correctness
Version: unspecified → Trunk
yeah,

Google results for "huffington post", there is a carousel called "top stories". If a filter is applied to any of those, they disappear.
mozregression --good 2018-02-15 --bad 2018-03-13 --pref gfx.webrender.all:true startup.homepage_welcome_url:"https://bugzilla.mozilla.org/attachment.cgi?id=8958919"
> 7:59.54 INFO: Last good revision: cfc5d19e856fc43766669069b7e2695dd519e5c3
> 7:59.54 INFO: First bad revision: 81f389c2524e58b4b95844667719cc1642573019
> 7:59.54 INFO: Pushlog:
> https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=cfc5d19e856fc43766669069b7e2695dd519e5c3&tochange=81f389c2524e58b4b95844667719cc1642573019

> 6f54af02c2e6	Kartikaya Gupta — Bug 1440664 - Update webrender to commit 22b831c02479eea31821f49a0fac7dd699083557. r=jrmuizel

try builds from bug 1440664:
> WR @ 992dbd3f07b143f35581012082aa59fbda7c387e
mozregression --repo try --launch 4916bd1bb3e9470ea106ebf45859b68b2a1b474c --pref gfx.webrender.all:true startup.homepage_welcome_url:"https://bugzilla.mozilla.org/attachment.cgi?id=8958919"
good

> WR @ 0b711f2e514107361deef4297c3c7da794d4835c
mozregression --repo try --launch 9cbf4580d196e5997b2ca7f8ce4fa26b49e47b0f --pref gfx.webrender.all:true startup.homepage_welcome_url:"https://bugzilla.mozilla.org/attachment.cgi?id=8958919"
bad

> WR @ 8e2672e52a5a80eba40030601653fe0c1ae223a1 with Martin's gecko-side build fix
mozregression --repo try --launch 317d1d2871553263a57c6928fdc10087a7a47542 --pref gfx.webrender.all:true startup.homepage_welcome_url:"https://bugzilla.mozilla.org/attachment.cgi?id=8958919"
bad

Regression range: https://github.com/servo/webrender/compare/992dbd3f07b143f35581012082aa59fbda7c387e...0b711f2e514107361deef4297c3c7da794d4835c
Has Regression Range: --- → yes
Has STR: --- → yes
Keywords: regression
Assignee: nobody → gwatson
Priority: -- → P1
Will be fixed when https://github.com/servo/webrender/pull/2602 lands in WR/Gecko.
Depends on: 1449562
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla61
You need to log in before you can comment on or make changes to this bug.